> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niobi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Signature

> This endpoint verifies the signature of a request to ensure its integrity and authenticity.



## OpenAPI

````yaml post /api/niobi-verify
openapi: 3.0.0
info:
  title: Niobi Application API
  description: Niobi List API
  version: 1.0.0
servers:
  - url: https://sandbox.users.niobi.co
    description: Live API Server
security: []
tags:
  - name: Niobi
    description: API Endpoints of Niobi
paths:
  /api/niobi-verify:
    post:
      tags:
        - Verification
      summary: Verify Signature
      description: >-
        This endpoint verifies the signature of a request to ensure its
        integrity and authenticity.
      operationId: verifySignature
      requestBody:
        description: Payload for verifying the signature of the request
        required: true
        content:
          application/json:
            schema:
              required:
                - client_id
                - sender
                - timestamp
                - salt
                - signature
                - params
              properties:
                client_id:
                  description: Client ID generated when creating new api keys
                  type: string
                  example: K1PoY1WYricSpXh6Wm24txxxxxxxxxx
                sender:
                  description: The title of the integration that sent the request
                  type: string
                  example: First Integration
                timestamp:
                  description: Timestamp of the request
                  type: integer
                  example: 1709291964
                salt:
                  description: Salt for added security
                  type: string
                  example: salt00494
                signature:
                  description: Signature of the request for verification
                  type: string
                  example: >-
                    x21120d4ca274ce462e6415e571xxxxx1b87f462a802221595ed870bf8fxxxx
                params:
                  description: Additional parameters of the request
                  properties:
                    test:
                      description: Test parameter for demonstration
                      type: integer
                      example: 123
                  type: object
              type: object
      responses:
        '200':
          description: Request verified successfully.
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    description: Success message
                    type: string
                    example: Request verified successfully.
                type: object
        '403':
          description: >-
            Entity integration record not found, Client ID not matched, or
            Request was not verified.
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    description: >-
                      Error message when the entity integration record is not
                      found, client ID does not match, or the request could not
                      be verified
                    type: string
                    example: Entity integration record not found.
                type: object
        default:
          description: An unexpected error occurred.

````